<?php

/**
 * @package Nextpaw Webchat Widget plugin
 */

/*
 Plugin Name: Nextpaw Webchat Widget
Plugin URI: https://nextpaw.com/
Description: Integrate nextpaw webchat widget on your website
Version: 1.0.0
Author: NetxPaw
Author URI: https://nextpaw.com/
Licence: MIT
 */

if(! defined('ABSPATH')){
    die;
}

defined('ABSPATH') or die('Hey, what are you doing here?');

define( 'NEXTPAW_WEBCHAT__PLUGIN_DIR', plugin_dir_path( __FILE__ ) );

/**
 * Activate plugin method
 */
function activate_nextpaw_webchat_plugin()
{
    \Includes\Base\ActivateWebchat::activate();
}
register_activation_hook(__FILE__, 'activate_nextpaw_webchat_plugin');

require_once( NEXTPAW_WEBCHAT__PLUGIN_DIR . 'Includes/base/ActivateWebchat.php' );

/**
 * Deactivate plugin method
 */
function deactivate_nextpaw_webchat_plugin()
{
    \Includes\Base\DeactivateWebchat::deactivate();
}
register_deactivation_hook(__FILE__, 'deactivate_nextpaw_webchat_plugin');

/**
 * Uninstall Nextpaw Webchat
 */
//function uninstall_nextpaw_webchat()
//{
//    \Includes\Base\UninstallWebchat::unistall();
//}
//register_uninstall_hook( __FILE__, 'uninstall_nextpaw_webchat' );

require_once( NEXTPAW_WEBCHAT__PLUGIN_DIR . 'Includes/base/DeactivateWebchat.php' );
require_once( NEXTPAW_WEBCHAT__PLUGIN_DIR . 'Includes/InitWebchat.php' );
/**
 * Intialize all core classes of plugin
 */
if(class_exists('Includes\\InitWebchat')){
    Includes\InitWebchat::register_services();
}

